## hal 0.5.12~git20090219-0maemo4%2b0m5

=== debian/changelog ===
hal (0.5.12~git20090219-0maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- pekka lundstrom <pekka.lundstrom@nokia.com>  Wed, 20 May 2009 14:59:03 +0300

hal (0.5.12~git20090219-0maemo4) unstable; urgency=low

  * Hald startup speedup. Upstream bug #21741, Fixes: NB#117267

 -- Janne Karhunen <janne.karhunen@nokia.com>  Wed, 20 May 2009 10:13:17 +0300

hal (0.5.12~git20090219-0maemo3) unstable; urgency=low

  * Prevent manpages from installing (Fixes: NB#112155)

 -- Janne Karhunen <janne.karhunen@nokia.com>  Wed, 22 Apr 2009 12:12:14 +0300

hal (0.5.12~git20090219-0maemo2) unstable; urgency=low

  * Source new limits file (Fixes: NB#103754)

 -- Janne Karhunen <janne.karhunen@nokia.com>  Thu, 16 Apr 2009 09:33:26 +0300

hal (0.5.12~git20090219-0maemo1) unstable; urgency=low

  * New downstream git snapshot.
    - Fix memory leaks. (Fixes: NB#101747)
  * Take over upstart event.d file. (Fixes: NB#103324)
    - Fix /var/run path to be hald instead of hal.
    - Add a Replaces on system-services to hal package.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 25 Feb 2009 21:17:20 +0200

hal (0.5.12~git20090121-0maemo1) unstable; urgency=low

  * New downstream git snapshot.
  * Porpoerly initialize input.jack.type on startup. (Fixes: NB#98434)
  * Add temporary workaround for ALS addon, to use try 10 hwmon sysfs class
    devices instead of hardcoding the full sysfs device name.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 21 Jan 2009 17:31:27 +0200

hal (0.5.12~git20090114-0maemo1) unstable; urgency=low

  * New downstream git snapshot.
    - Add support for jack video-out and physical insertion notifications.
  * Bump versioned dependencies for udev to 0.125 and dbus to 0.61.
  * Add temporary workaround for RX-51 keymap to match against current
    driver name, and to set a default for all keyboard devices.
    Base on patches by Urpo Pietikäinen and Oliver McFadden.
  * Workaorund a race condition in osspec probes and fdi parsing by merging
    the omap probe into hald.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 15 Jan 2009 16:40:42 +0200

hal (0.5.12~git20081113-0maemo1) unstable; urgency=low

  * New downstream git snapshot.
    - Properly populate the slot_name property from the kernel values.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 13 Nov 2008 16:20:26 +0200

hal (0.5.12~git20081105-0maemo1) unstable; urgency=low

  * New downstream git snapshot.
    - Add jack insertion support.
    - Fix mmc slot_name values. The kernel started prefixing them with
      "slot:", which gets now normalized by hal.
    - Drop mtd devices, they are not actually useful.
    - Refactor and fix testing shell scripts to not depend on hal-info.
  * Use binary:Version instead of deprecated Source-Version substvar.

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 05 Nov 2008 23:34:27 +0200

hal (0.5.12~git20080925-0maemo1) unstable; urgency=low

  * New downstream git snapshot.
    - Switch omap-gpio addon to be a singleton.
    - Drop privs and set title for mmc addon.
    - Trimm down unused devices and buses.
  * Pass proper pid file directory to configure, to be able to stop the daemon.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 25 Sep 2008 19:30:10 +0300

hal (0.5.12~git20080918-0maemo1) unstable; urgency=low

  * New upstream git snapshot.
    - Start up optimizations.
  * Fix mmc cover support to not run addons for mmc_hosts w/o a cover switch.
  * Switch to the new /var/run/hald directory.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 18 Sep 2008 17:30:07 +0300

hal (0.5.12~git20080620-0maemo1) unstable; urgency=low

  * New upstream git snapshot.
    - Remove 01_hal_debian_dbuspolicy.patch, merged upstream.

 -- Guillem Jover <guillem.jover@nokia.com>  Thu, 03 Jul 2008 20:38:15 +0300

hal (0.5.11~git20080402-1osso1) unstable; urgency=low

  * New downstream git snapshot.
    - Fix unaligned accesses on hald-probe-volume. (Fixes: #81864)

 -- Guillem Jover <guillem.jover@nokia.com>  Wed, 02 Apr 2008 18:48:27 +0300

hal (0.5.11~git20071221-1osso1) unstable; urgency=low

  * New downstream git snapshot.
    - Fix improbable but possible endless loop in probe-omap and
      probe-smbios. (Fixes: NB#72809)

 -- Guillem Jover <guillem.jover@nokia.com>  Fri, 21 Dec 2007 21:34:00 +0200

hal (0.5.10-2) unstable; urgency=low

  * debian/rules
    - Remove /usr/share/hal/fdi/policy/10osvendor/10-x11-input.fdi which
      effectively disables xorg input hotplugging again
      (Closes: #447666, #447676, #447841).
      This is only a temporary workaround until xserver-xorg has been fixed
      to provide a clean upgrade path for non-US keyboard layouts.
  * debian/hal.examples
    - Install 10-x11-input.fdi under /usr/share/doc/hal/examples/ for the time
      being.
  * debian/patches/71_realpath.patch
    - Include stdlib.h in tools/hal-disable-polling.c for the realpath
      function prototype definition (Closes: #447657).
      Patch by dann frazier, thanks.

 -- Michael Biebl <biebl@debian.org>  Wed, 24 Oct 2007 15:38:34 +0200

hal (0.5.10-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release.
    - Ships the x11-input.fdi file which is required for the xorg input
      hotplugging (Closes: #446851).
    - Correctly initializes the dbus error struct in the acpi addon
      (Closes: #438802).

    hal-device-manager has been removed from the upstream tarball. There is
    now a separate project called gnome-device-manager which is intended to
    replace hal-device-manager.
  * Remove obsolete files
    - debian/hal-device-manager.1
    - debian/hal-device-manager.desktop
    - debian/hal-device-manager.install
    - debian/hal-device-manager.manpages
    - debian/patches/62_dbus-python-0.80.patch
    - debian/pyversions
  * debian/rules
    - Remove the dh_pysupport call.
    - Enable the hal umount helper.
  * debian/control

