## hal 0.5.12~rc1+git20090403-1jolicloud1+j4

=== debian/changelog ===
hal (0.5.12~rc1+git20090403-1jolicloud1+j4) robby; urgency=low

  [ Martin Pitt ]
  * Imported Debian patch 0.5.12~rc1+git20090403-0ubuntu4

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.5.12~rc1+git20090403
  * new storage.mount-fixed policy: yes for active

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Mon, 05 Jul 2010 16:48:17 +0200

hal (0.5.12~rc1+git20090403-0ubuntu4) jaunty-proposed; urgency=low

  * 87_standalone_smbios.patch: Disable st_wlan again, it currently does not
    work and always reports that the killswitch is on. This fixes a regression
    from the previous SRU on some Dell models. (LP: #394663)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 05 Jul 2009 11:42:22 +0200

hal (0.5.12~rc1+git20090403-0ubuntu3) jaunty-proposed; urgency=low

  * 87_standalone_smbios.patch: Fix typos which caused Dell wifi killswitches
    to not work any more. (LP: #368553)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Jun 2009 13:54:34 +0200

hal (0.5.12~rc1+git20090403-0ubuntu2) jaunty-proposed; urgency=low

  * debian/patches/50_no_crash_on_md_blockdev.patch:
    - When adding a block device, don't assume that the parent 
      has storage capability. This fixes a crash where the device
      is re-parented to the root computer device object (such as
      with mdraid devices). LP: #361689. 

 -- Chris Coulson <chrisccoulson@googlemail.com>  Fri, 05 Jun 2009 12:25:50 +0200

hal (0.5.12~rc1+git20090403-0ubuntu1) jaunty; urgency=low

  * Update to current git HEAD to collect some more bug fixes:
    - Fix volume label parsing (directly committed upstream) (LP: #347370)
    - Regenerate FDI cache if it's zero sized
    - Fix handling of floppy and MO discs.
    - Fix various memory leaks and unused pointers.
    - Fix linking against libsmbios.
    - Allow specifying a udev dir in etc (Fedora still has udev rules dir in
      /etc)
  * debian/rules: Update --with-udev-prefix according to above upstream
    change.
  * Drop 86_smbios_configure_error.patch, applied upstream.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Apr 2009 17:10:56 +0200

hal (0.5.12~rc1+git20090204-0ubuntu4) jaunty; urgency=low

  [ Steve Langasek ]
  * debian/control: Recommend: smartdimmer for sony backlight support.
  * 88_nvidia_brightness.patch: add a new sony-nvidia brightness get/set
    method, using the smartdimmer tool, and an fdi policy file so that we
    use this method on Sony laptops with known nVidia chips.  Many thanks
    to Lee-tin-yien Yohan <yleetiny@gmail.com> for working on this!
    Closes LP: #277589.

  [ Martin Pitt ]
  * 88_nvidia_brightness.patch: Also patch Makefile.{am,in} to install the new
    fdi file.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 23 Mar 2009 11:55:53 +0100

hal (0.5.12~rc1+git20090204-0ubuntu3) jaunty; urgency=low

  * 87_standalone_smbios.patch: Add missing bit from
    autoreconfiscation, which brings back the building and
    installation of hal-acl-tool. This repairs automatic ACLs, and
    thus sound card, camera, scanner, DRI, and other device access.
    Thanks to Mario Limonciello for the patch! (LP: #334299)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Feb 2009 15:54:09 +0100

hal (0.5.12~rc1+git20090204-0ubuntu2) jaunty; urgency=low

  * 86_smbios_configure_error.patch:
    - Fix a compilation error that prevented the smbios based Dell
      backlight control from working with later libsmbios builds.
  * 87_standalone_smbios.patch:
    - Provide a lightweight C utility for querying WLAN,BT,WWAN rather than
      using the python one from smbios-utils.

 -- Mario Limonciello <superm1@ubuntu.com>  Tue, 24 Feb 2009 21:22:47 -0600

hal (0.5.12~rc1+git20090204-0ubuntu1) jaunty; urgency=low

  * Update to latest upstream git snapshot:
    - Fix buffer overrun with incorrectly formatted LED
      devices (LP: #322649).

 -- Chris Coulson <chrisccoulson@googlemail.com>  Wed, 04 Feb 2009 23:18:31 +0100

hal (0.5.12~rc1+git20090120-0ubuntu1) jaunty; urgency=low

  * Update to latest upstream git snapshot.
  * Drop patches applied upstream:
    - 00git_build_2.6.28.patch
    - 00git_fix_drm_acls.patch
    - 07_joystick_detection.patch 
    - ubuntu_02_udevrulesdir.patch
  * Add 01_tablet_evdev.patch: Use evdev driver for tablets. Patch
    taken from Fedora, as requested by Timo Aaltonen.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 21 Jan 2009 02:04:40 +0100

hal (0.5.12~rc1-0ubuntu6) jaunty; urgency=low

  * Add 00git_fix_drm_acls.patch: Fix copy&paste error which assigned
    the wrong access_control.file for /dev/drm/card* devices. It
    previously copied "input.device", but should be
    "linux.device_file". This brings back hardware GL rendering,
    instead of always using the Mesa software rasterizer. (Part of 
    LP #269509)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Jan 2009 12:33:07 +0100

hal (0.5.12~rc1-0ubuntu5) jaunty; urgency=low

  * Bump dependency on udev.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 11:47:29 +0000

hal (0.5.12~rc1-0ubuntu4) jaunty; urgency=low

  * debian/patches/ubuntu_02_udevrulesdir.patch: Install udev rules into
    /lib/udev/rules.d instead of /etc 
  * debian/hal.preinst: Remove the old rule file unless it's modified.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 07 Jan 2009 17:27:06 +0000

hal (0.5.12~rc1-0ubuntu3) jaunty; urgency=low

  * debian/10-x11-keymap.fdi: revert the evdev workaround for ThinkPad
    extra buttons, which is not required in jaunty and above.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Dec 2008 14:31:53 -0800

hal (0.5.12~rc1-0ubuntu2) jaunty; urgency=low

  * Drop 99_new-kernel-rfkill-interface.patch, it's allegedly not necessary
    with this new hal any more. The upstream rfkill addon now handles all
    kernel rfkill types.
  * Add 00git_build_2.6.28.patch: Fix FTBFS with linux-libc-dev from Linux
    2.6.28. Committed to upstream git, too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Nov 2008 19:39:05 +0100


