=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: hal
 Section: admin
 Priority: optional
-Maintainer: Guillem Jover <guillem.jover@nokia.com>
-Uploaders: David Weinehall <david.weinehall@nokia.com>, Philippe De Swert <philippe.swert-de@nokia.com>
-XS-Original-Maintainer: Sjoerd Simons <sjoerd@debian.org>
-XS-Original-Uploaders: Sebastian Dröge <slomo@ubuntu.com>
-Build-Depends: debhelper (>= 4.1), cdbs, libdbus-glib-1-dev (>= 0.60), libglib2.0-dev, libexpat1-dev, libpopt-dev, pkg-config, gtk-doc-tools, intltool (>= 0.22), libusb-dev, libvolume-id-dev, linux-kernel-headers (>= 2.6.16) | linux-libc-dev
-Build-Depends-Indep: xmlto, libxml2-utils
-Standards-Version: 3.7.3
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 5.0.59), cdbs, autotools-dev, libdbus-glib-1-dev (>= 0.61), libglib2.0-dev, libsysfs-dev, libexpat1-dev, libpopt-dev, pkg-config, pciutils-dev, doxygen, intltool (>= 0.22), libusb-dev [!hurd-i386], libvolume-id-dev, xmlto, libxml2-utils, gtk-doc-tools, libsmbios-dev (>= 2.0.3) [amd64 i386 lpia], gperf, libpolkit-dev (>= 0.5), policykit, libck-connector-dev (>= 0.3)
+Standards-Version: 3.8.0
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/hal/ubuntu
+Homepage: http://hal.freedesktop.org/
 
 Package: hal
 Architecture: any
-Pre-Depends: udev (>= 0.125)
-Depends: ${shlibs:Depends}, usbutils, dbus (>= 0.61), lsb-base
-Recommends: eject
-Replaces: system-services
+Depends: ${shlibs:Depends}, adduser, pciutils, usbutils, udev (>= 136-1), dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils, mount (>= 2.13), policykit (>= 0.7), consolekit (>= 0.3), acl
+Recommends: eject, smartdimmer (>= 0.8b4)
+Suggests: gnome-device-manager
 Description: Hardware Abstraction Layer
  HAL provides an abstract view on hardware.
  .
@@ -37,7 +36,7 @@
  It maintains a list of devices that currently exist, and can provide
  information about those upon request.
  .
- This Package contains the API documentation for HAL.
+ This package contains the API documentation for HAL.
 
 Package: libhal1
 Section: libs
@@ -54,21 +53,6 @@
  .
  This package contains shared libraries to be used by applications.
 
-Package: libhal1-dbg
-Section: libsdevel
-Architecture: any
-Depends: libhal1 (= ${binary:Version})
-Description: Hardware Abstraction Layer - debugging symbols
- HAL provides an abstract view on hardware.
- .
- This abstraction layer is simply an interface that makes it possible to
- add support for new devices and new ways of connecting devices to the
- computer, without modifying every application that uses the device.
- It maintains a list of devices that currently exist, and can provide
- information about those upon request.
- .
- This package contains debugging symbols.
-
 Package: libhal-storage1
 Section: libs
 Architecture: any
@@ -83,21 +67,6 @@
  information about those upon request.
  .
  This library provides an interface for handling storage devices.
-
-Package: libhal-storage1-dbg
-Section: libsdevel
-Architecture: any
-Depends: libhal-storage1 (= ${binary:Version})
-Description: Hardware Abstraction Layer - debugging symbols
- HAL provides an abstract view on hardware.
- .
- This abstraction layer is simply an interface that makes it possible to
- add support for new devices and new ways of connecting devices to the
- computer, without modifying every application that uses the device.
- It maintains a list of devices that currently exist, and can provide
- information about those upon request.
- .
- This package contains debugging symbols.
 
 Package: libhal-dev
 Section: libdevel
