## hal 0.5.14

=== debian/changelog ===
hal (0.5.14-8) unstable; urgency=low

  * debian/patches/65-glib-single-include.patch: Starting with glib 2.32 it is
    now mandatory to include <glib.h> instead of individual headers.
    (Closes: #665556)
  * Test for /var/cache/hald and /var/run/hald before trying to remove them on
    purge. This avoids a harmless warning message. (Closes: #638675)
  * Bump Standards-Version to 3.9.3.
  * Add Breaks against xserver-xorg (<< 1:7.6+8), to ensure we have a version of
    xserver-xorg which no longer uses "invoke-rc.d hal restart" in postinst,
    since the init script is gone. (Closes: #624398)

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Mar 2012 01:08:08 +0100

hal (0.5.14-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Apply patch from Steven Chamberlain (thanks!) to fix FTBFS on
    kfreebsd-* during the rebuild for the unannounced freebsd-libs
    transition, due to hardening options (-Werror=format-security):
    55-kfreebsd-format-security.patch (Closes: #660400)
  * Set urgency to “high” for the RC bug fix.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Feb 2012 04:22:09 +0000

hal (0.5.14-7) unstable; urgency=low

  * debian/control
    - Drop Suggests: gnome-device-manager, this package no longer is in the
      archive.
  * debian/patches/60-create-run-hald-directory.patch
    - Create /var/run/hald/ when starting hald. This directory contains
      runtime data like pid files and sockets and needs to be created
      dynamically as (/var)/run resides on a tmpfs. (Closes: #632900)

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Aug 2011 16:41:12 +0200

hal (0.5.14-6) unstable; urgency=low

  [ Martin Pitt ]
  * Add 00upstream_video4linux_check.patch: Do not build
    hald-probe-video4linux if v4l1 is not available. (LP: #721399)
  * Refresh 99-autoreconf.patch for above.
  * 45-fix-libusb-detection.patch: Unfuzz.

  [ Michael Biebl ]
  * debian/patches/00_disable_v4l1_probing.patch
    - The hald-probe-video4linux prober supports both v4l1 and v4l2. Support
      for v4l1 has been removed from Linux kernel 2.6.38. Instead of
      disabling the prober altogether, #ifdef the v4l1 parts when building on a
      newer kernel. This partially reverts 00upstream_video4linux_check.patch.
      (Closes: #621973)
  * Refresh all patches to apply cleanly.
  * Use dh-autoreconf to update the build system
    - Drop debian/patches/99-autoreconf.patch
    - Add Build-Depends on dh-autoreconf.
    - Include /usr/share/cdbs/1/rules/autoreconf.mk in debian/rules.
  * Bump Standards-Version to 3.9.2. No further changes.

 -- Michael Biebl <biebl@debian.org>  Sun, 10 Apr 2011 07:21:18 +0200

hal (0.5.14-5) unstable; urgency=low

  * Upload to unstable.
  * Bump debhelper compatibility level to 8 and update build dependency
    accordingly.
  * Remove pre-lenny migration code from maintainer scripts.

 -- Michael Biebl <biebl@debian.org>  Mon, 07 Feb 2011 22:59:07 +0100

hal (0.5.14-4) experimental; urgency=low

  * Use D-Bus activation to start hal
    - Remove debian/hal.{init,default}.
    - Add D-Bus system service file debian/org.freedesktop.Hal.service.
    - Add systemd service file debian/hal.service which allows to manage hal
      via systemd.
    - Install both via debian/hal.install, create a symlink for hal.service so
      it is enabled by default when using systemd.
    - debian/hal.preinst: Remove init.d/default/rc.d files on upgrade.
    - debian/hal.postinst: When being triggered by an .fdi file update, query
      D-Bus to get the main pid. If hald is running kill the process and
      restart it via D-Bus activation.
    - debian/hal.postinst: Restart hal on upgrades.
    - debian/hal.prerm: Stop hal on remove.
    - debian/patches/02_libhal_dont_check_running.patch: In libhal_ctx_init(),
      do not check if hal is already running, since it will get D-Bus
      activated. Thanks to Lionel Le Folgoc for the patch!
  * Bump Standards-Version to 3.9.1. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Nov 2010 21:12:32 +0100

hal (0.5.14-3) unstable; urgency=low

  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
    - Remove debian/README.source.
  * debian/patches/20-ignore-temporary-cryptsetup-devices.patch
    - Do not probe temporary cryptsetup devices. (Closes: #586286)
  * debian/control
    - Bump Standards-Version to 3.9.0.
    - Use architecture wildcards linux-any and kfreebsd-any.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Jul 2010 03:25:33 +0200

hal (0.5.14-2) unstable; urgency=low

  * debian/hal.init
    - Source the lsb init-functions after checking if the daemon exists.
    - Make directory containing the pid file world readable. (Closes: #562915)
  * debian/patches/15-probe-input-segfault-fix.patch
    - Initialize error structure before using it to avoid segfault in
      hald-probe-input. (Closes: #562068)
      Thanks to Sebastian Andrzej Siewior for the patch.
  * debian/hal.postinst
    - When upgrading from lenny, make sure to kill any running hald daemon
      before trying to start the new one. The pid file can be missing or
      outdated and trying to start hal will fail otherwise. (Closes: #561505)
    - Cleanup /var/run/hal and /var/lib/hal on upgrades.
    - When being triggered to regenerate the hal fdi-cache, only restart hal
      if it is actually running.
  * debian/hal.dirs
    - Remove /var/lib/hal directory, it is no longer used.

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Jan 2010 00:33:49 +0100

hal (0.5.14-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that have been merged upstream
    - debian/patches/20_cpufreq_warning_message_fix.patch
    - debian/patches/21_fix_segfault_in_hal_util_get_last_element.patch
    - debian/patches/22_fix_unconditional_usage_of_PATH_MAX.patch
    - debian/patches/23_support_relative_paths_in_umount_hal.patch

