=== debian/control ===
--- 
+++ 
@@ -1,19 +1,50 @@
 Source: hal
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 5.0.59), cdbs, autotools-dev, libdbus-glib-1-dev (>= 0.61), libglib2.0-dev, libsysfs-dev, libexpat1-dev, libpopt-dev, pkg-config, pciutils-dev, doxygen, intltool (>= 0.22), libusb-dev [!hurd-i386], libvolume-id-dev, xmlto, libxml2-utils, gtk-doc-tools, libsmbios-dev (>= 2.0.3) [amd64 i386 lpia], gperf, libpolkit-dev (>= 0.5), policykit, libck-connector-dev (>= 0.3)
-Standards-Version: 3.8.0
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/hal/ubuntu
+Build-Depends: debhelper (>= 8),
+ cdbs,
+ autotools-dev,
+ libdbus-glib-1-dev (>= 0.61),
+ libglib2.0-dev,
+ libsysfs-dev,
+ libexpat1-dev,
+ libpopt-dev,
+ pkg-config,
+ pciutils,
+ doxygen,
+ intltool (>= 0.22),
+ libusb-dev [linux-any],
+ libusb2-dev [kfreebsd-any],
+ libusbhid-dev [kfreebsd-any],
+ libcam-dev [kfreebsd-any],
+ libblkid-dev (>= 2.15),
+ xmlto,
+ libxml2-utils,
+ gtk-doc-tools,
+ dh-autoreconf
+Standards-Version: 3.9.3
+Vcs-Svn: svn://svn.debian.org/pkg-utopia/packages/unstable/hal/
+Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/hal/
 Homepage: http://hal.freedesktop.org/
 
 Package: hal
 Architecture: any
-Depends: ${shlibs:Depends}, adduser, pciutils, usbutils, udev (>= 136-1), dbus (>= 0.61), lsb-base (>= 3.2-14), hal-info (>= 20070402), pm-utils, mount (>= 2.13), policykit (>= 0.7), consolekit (>= 0.3), acl
-Recommends: eject, smartdimmer (>= 0.8b4)
-Suggests: gnome-device-manager
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ adduser,
+ pciutils,
+ usbutils [!hurd-i386],
+ udev (>= 143) [linux-any],
+ dbus (>= 0.61),
+ lsb-base (>= 3.2-14),
+ hal-info (>= 20070402),
+ mount (>= 2.13) [linux-any],
+ freebsd-utils [kfreebsd-any]
+Recommends: eject,
+ pm-utils [linux-any],
+ consolekit (>= 0.3)
+Breaks: xserver-xorg (<< 1:7.6+8)
 Description: Hardware Abstraction Layer
  HAL provides an abstract view on hardware.
  .
@@ -26,6 +57,7 @@
 Package: hal-doc
 Architecture: all
 Section: doc
+Depends: ${misc:Depends}
 Suggests: devhelp
 Description: Hardware Abstraction Layer - documentation
  HAL provides an abstract view on hardware.
@@ -41,7 +73,7 @@
 Package: libhal1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Hardware Abstraction Layer - shared library
  HAL provides an abstract view on hardware.
  .
@@ -56,7 +88,7 @@
 Package: libhal-storage1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Hardware Abstraction Layer - shared library for storage devices
  HAL provides an abstract view on hardware.
  .
@@ -71,7 +103,7 @@
 Package: libhal-dev
 Section: libdevel
 Architecture: any
-Depends: libhal1 (= ${binary:Version}), libdbus-1-dev (>= 0.60)
+Depends: libhal1 (= ${binary:Version}), ${misc:Depends}, libdbus-1-dev (>= 0.60)
 Suggests: hal-doc
 Description: Hardware Abstraction Layer - development files
  HAL provides an abstract view on hardware.
@@ -87,7 +119,7 @@
 Package: libhal-storage-dev
 Section: libdevel
 Architecture: any
-Depends: libhal-storage1 (= ${binary:Version}), libdbus-1-dev (>= 0.60), libhal-dev
+Depends: libhal-storage1 (= ${binary:Version}), ${misc:Depends}, libdbus-1-dev (>= 0.60), libhal-dev
 Suggests: hal-doc
 Description: Hardware Abstraction Layer - development files
  HAL provides an abstract view on hardware.
