## hal 0.5.14-1jolicloud1

=== debian/changelog ===
hal (0.5.14-1jolicloud1) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.5.14

  [ Martin Pitt ]
  * Imported Debian patch 0.5.14-0ubuntu6

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Thu, 02 Sep 2010 12:19:06 +0200

hal (0.5.14-0ubuntu6) lucid-proposed; urgency=low

  * Add 02_libhal_dont_check_running.patch: In libhal_ctx_init(), do not check
    if hal is already running, since it will get D-Bus activated. Thanks to
    Lionel Le Folgoc for the patch! (LP: #546992)
  * Add 00git_bigger_path_size.patch: Bump HAL_PATH_MAX to 4096. Patch taken
    from upstream git head. (LP: #525245)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 09 May 2010 12:00:16 +0200

hal (0.5.14-0ubuntu5) lucid; urgency=low

  * Revert the previous change. We do not want any user to modify internal
    system partitions without any authentication, it creates too much of a
    security hole. Instead, the patch in kdelibs should be fixed, after all it
    worked fine in karmic and earlier. (LP: #528907)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Apr 2010 12:01:16 +0200

hal (0.5.14-0ubuntu4) lucid; urgency=low

  * Disable 10_nonpolkit-mount-policy.patch (LP: #528907)
    - We want allow users (and not only root) to mount storage devices

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 30 Mar 2010 08:32:58 +0200

hal (0.5.14-0ubuntu3) lucid; urgency=low

  * Add 00git_probe-input_crash.patch: Fix crash in hald-probe-input.
    (LP: #500723)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 19 Jan 2010 21:20:49 +0100

hal (0.5.14-0ubuntu2) lucid; urgency=low

  * 10-x11-input.fdi, debian/rules: Do not install 10-x11-input.fdi any more,
    X.org uses udev now. This brings those parts back in sync with Debian.
  * Change startup from init/upstart to D-Bus activation. This allows us
    having installed programs which still need hal without the need to start
    hal on boot:
    - Remove debian/hal.{init,upstart,default}.
    - Add D-Bus activation service file debian/org.freedesktop.Hal.service and
      install it in debian/hal.install.
    - debian/hal.postinst: Remove init/upstart/default/rc.d files on upgrade.
    - debian/hal.postinst: When triggering an .fdi file update, just stop
      hald; it will be reactivated when needed.
  * debian/libhal1.symbols: Add new symbol from 0.5.14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 05 Jan 2010 12:44:01 +0100

hal (0.5.14-0ubuntu1) lucid; urgency=low

  * Merge with Debian svn head, which now has most of our changes. Remaining
    Ubuntu changes:
   - Enable support for X11 input hotplugging:
     + debian/rules: Do not remove 10-x11-input.fdi, we want to install it by
       default.
     + Drop 10-x11-input.fdi from debian/hal.examples, since we install
       it by default.
     This will soon be obsoleted by changing X.org to use udev-based input
     device detection.
   - Add support for smartdimmer backlight control for GeForce 7/8/9 based
     Sony laptops.
     + Add 04_nvidia_brightness.patch.
     + Add smartdimmer recommends.
   - debian/hal.postinst: Do not create plugdev and powerdev groups.
   - Add debian/hal.upstart: Supersedes init script.
  * Disable 50_kfreebsd.patch for now; not used in Ubuntu, and does not
    currently apply.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 03 Dec 2009 01:21:24 +0100

hal (0.5.14-1) UNRELEASED; urgency=low

  * New upstream release.
  * Remove patches that have been merged upstream
    - debian/patches/20_cpufreq_warning_message_fix.patch
    - debian/patches/21_fix_segfault_in_hal_util_get_last_element.patch
    - debian/patches/22_fix_unconditional_usage_of_PATH_MAX.patch
    - debian/patches/23_support_relative_paths_in_umount_hal.patch
    - debian/patches/30_mount_relatime.patch

 -- Michael Biebl <biebl@debian.org>  Tue, 01 Dec 2009 19:41:17 +0100

hal (0.5.13-1ubuntu8) karmic; urgency=low

  * debian/patches/04_nvidia_brightness.patch: Fix mismatched tags (LP:
    #440797).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Oct 2009 13:17:09 +0100

hal (0.5.13-1ubuntu7) karmic; urgency=low

  * debian/hal.postinst: Drop polkit-auth call.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 24 Sep 2009 09:00:29 +0200

hal (0.5.13-1ubuntu6) karmic; urgency=low

  * 60_upstream_backlight_actual_brightness.patch: pull fix from upstream to
    read the current brightness value from the correct file under /sys.
    LP: #372874.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 23 Sep 2009 16:20:47 -0700

hal (0.5.13-1ubuntu5) karmic; urgency=low

  * Drop support for the obsolete policykit 0.9, so that we don't need to
    carry two stacks:
    - debian/control: Drop libpolkit-dev build dependency and policykit
      dependency.
    - Drop 10-no-polkit-policy-file-validate-check.patch, not necessary any
      more.
    - debian/rules: Configure with --disable-policykit.
    - Add 01_at_console.patch: Allow access to hal functions to local console
      users, in particular the ones which were allowed unauthorized access in
      policykit. Do not allow access to mounting internal storage devices;
      Kubuntu does not use it, and GNOME does not use hal at all.
    - debian/hal.manpages: Drop PK specific manpages which aren't built any
      more.
    - debian/hal.install: Drop installation of PolicyKit files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 23 Sep 2009 17:05:21 +0200

hal (0.5.13-1ubuntu4) karmic; urgency=low

  * Since we need an upstart-enabled dbus, bump our versioned dependency
    accordingly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Sep 2009 01:56:38 -0700

hal (0.5.13-1ubuntu3) karmic; urgency=low

  FFE LP: #427356.

  * Replace init script with Upstart job.
  * debian/control:
    - Bump build-dependency on debhelper for Upstart-aware dh_installinit

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:31:00 +0100

hal (0.5.13-1ubuntu2) karmic; urgency=low

  [ Steve Langasek ]

