=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Sjoerd Simons <sjoerd@debian.org>, Sebastian Dröge <slomo@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 7),
  cdbs,
  autotools-dev,
  libdbus-glib-1-dev (>= 0.61),
@@ -15,18 +15,16 @@
  pciutils,
  doxygen,
  intltool (>= 0.22),
- libusb-dev [linux-any],
- libusb2-dev [kfreebsd-any],
- libusbhid-dev [kfreebsd-any],
- libcam-dev [kfreebsd-any],
+ libusb-dev [!hurd-i386],
+ libusbhid-dev [kfreebsd-amd64 kfreebsd-i386],
+ libcam-dev [kfreebsd-amd64 kfreebsd-i386],
  libblkid-dev (>= 2.15),
  xmlto,
  libxml2-utils,
  gtk-doc-tools,
- dh-autoreconf
-Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-utopia/packages/unstable/hal/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-utopia/packages/unstable/hal/
+ quilt
+Standards-Version: 3.8.3
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-core-dev/hal/ubuntu
 Homepage: http://hal.freedesktop.org/
 
 Package: hal
@@ -35,16 +33,17 @@
  adduser,
  pciutils,
  usbutils [!hurd-i386],
- udev (>= 143) [linux-any],
+ udev (>= 143) [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
  dbus (>= 0.61),
  lsb-base (>= 3.2-14),
  hal-info (>= 20070402),
- mount (>= 2.13) [linux-any],
- freebsd-utils [kfreebsd-any]
+ mount (>= 2.13) [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
+ freebsd-utils [kfreebsd-amd64 kfreebsd-i386]
 Recommends: eject,
- pm-utils [linux-any],
+ pm-utils [!kfreebsd-amd64 !kfreebsd-i386 !hurd-i386],
+ smartdimmer,
  consolekit (>= 0.3)
-Breaks: xserver-xorg (<< 1:7.6+8)
+Suggests: gnome-device-manager
 Description: Hardware Abstraction Layer
  HAL provides an abstract view on hardware.
  .
